//
// convert.h -- Functions to convert file from 3DMF to VRML 97
//
// These functions should be usable on both the Windows version and the
// console version.
//
// Copyright (C) 2000 by Bob Crispen <crispen@hiwaay.net> doing business as
//   Foxy Software
//
// LICENSE:
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

// Error codes
#define CNV_OK			0
#define CNV_CANT_OPEN		1
#define CNV_BAD_TRI_MESH_SPEC	2
#define CNV_CANT_ALLOC_NODE	3
#define CNV_BAD_TRIANGLE	4
#define CNV_BAD_POINTS		5
#define CNV_EMPTY_FILE		6
#define CNV_BAD_COLOR		7
#define CNV_BAD_DIRECTION	8
#define CNV_BAD_VIEWPOINT	9
#define CNV_BAD_LIGHT		10

// Function prototypes
int read_in(char*);
int convert();
int write_out(char*);
void clean_up();
